<Project Sdk="Microsoft.NET.Sdk">

  <PropertyGroup>
    <TargetFramework>netstandard2.0</TargetFramework>
    <ProduceReferenceAssembly>true</ProduceReferenceAssembly>
  </PropertyGroup>

  <ItemGroup>
    <PackageReference Include="Xamarin.Forms" Version="4.3.0.908675" />
    <PackageReference Include="Xamarin.Essentials" Version="1.3.1" />
  </ItemGroup>
  <ItemGroup>
    <Folder Include="model\event\" />
    <Folder Include="viewmodel\" />
    <Folder Include="model\card\" />
    <Folder Include="model\deck\" />
    <Folder Include="model\Card\rapidCard\" />
    <Folder Include="model\gameActions\" />
    <Folder Include="model\gameActions\extreme\" />
    <Folder Include="model\gameActions\classic\" />
  </ItemGroup>
  <ItemGroup>
    <Compile Remove="model\effect\StopColm.cs" />
    <Compile Remove="model\effect\StopCom.cs" />
    <Compile Remove="model\manager.cs" />
    <Compile Remove="model\manager\GameManagerSolo.cs" />
  </ItemGroup>
  <ItemGroup>
    <None Remove="AppRessources.config" />
    <None Remove="view\Image\thegame.jpg" />
    <None Remove="view\MultiPlayerMode.xaml" />
  </ItemGroup>
  <ItemGroup>
    <EmbeddedResource Include="view\Image\thegame.jpg" />
  </ItemGroup>
  <ItemGroup>
    <EmbeddedResource Update="AppRessource.resx">
      <Generator>ResXFileCodeGenerator</Generator>
      <LastGenOutput>AppRessource.Designer.cs</LastGenOutput>
    </EmbeddedResource>
    <EmbeddedResource Update="AppRessources-br.resx">
      <Generator>ResXFileCodeGenerator</Generator>
      <LastGenOutput>AppRessources-br.Designer.cs</LastGenOutput>
    </EmbeddedResource>
    <EmbeddedResource Update="Rules.xaml">
      <Generator>MSBuild:UpdateDesignTimeXaml</Generator>
    </EmbeddedResource>
    <EmbeddedResource Condition=" '$(EnableDefaultEmbeddedResourceItems)' == 'true' " Update="view\AppResources.resx">
      <Generator>PublicResXFileCodeGenerator</Generator>
      <LastGenOutput>AppResources.Designer.cs</LastGenOutput>
    </EmbeddedResource>
  </ItemGroup>
  <ItemGroup>
    <Compile Update="AppRessource.Designer.cs">
      <DesignTime>True</DesignTime>
      <AutoGen>True</AutoGen>
      <DependentUpon>AppRessource.resx</DependentUpon>
    </Compile>
    <Compile Update="AppRessources-br.Designer.cs">
      <DesignTime>True</DesignTime>
      <AutoGen>True</AutoGen>
      <DependentUpon>AppRessources-br.resx</DependentUpon>
    </Compile>
    <Compile Condition=" '$(EnableDefaultCompileItems)' == 'true' " Update="view\AppResources.Designer.cs">
      <DependentUpon>AppResources.resx</DependentUpon>
    </Compile>
  </ItemGroup>
</Project>